
PENGADIAN EMAS - Bug #14786

BE[EMAS][DASHBOARD][TRANSACTION DETAILS] The latest transaction should be on top

16 November 2022 06:06 PM - hsulynn pang

Status: Closed Start date: 16 November 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: uatapp28

steps:

(1) login

(2) swipe the slide to Investasi & Asuransi screen

(3) click Emas Pegadaian

(4) verify the Historical transaction

Actual result: It shows October 2022 transaction follow by November 2022 transaction

Expected result: It shows November 2022 transaction, then October 2022 transaction (the latest is on top)

History

#1 - 16 November 2022 06:06 PM - hsulynn pang

Attached existing log

{

"responseMessage" : "ok",

"responseData" : {

"averageGoldPurchasePrice" : 907008.1370449682,

"currentGoldSellPrice" : 906000,

"currentGoldBuyPrice" : 850000,

"favorite" : true,

"totalGoldTradedWeight" : 3.0355000000000003,

"trxHistoryList" : [ {

"headerDate" : "OKTOBER 2022",

"headerDateEn" : "OCTOBER 2022",

"list" : [ {

"trxRefNo" : "I0001213452",

"unrealizedGainLoss" : 475.59999999999752,

"status" : "SUKSES",

"totalGoldTradedAmount" : 20000,

"purchaseFrequency" : "1",

"sofName" : "Tabungan Reguler",

"goldTradedPrice" : 886000,

"totalGoldTradedWeight" : 0.022599999999999999,

"purchasePeriod" : 1,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "24/10/2022 00:00:00",

"trxType" : "OPEN",

"sof" : "1002644220",

"channel" : "2",

"goldTradedAmount" : 20023.599999999999,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 884955.75221238949,

"goldTradedWeight" : 0.022599999999999999,

"trxId" : 14,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : 0,

"cif" : "0003010316"

}

]

}, {

"headerDate" : "NOVEMBER 2022",

"headerDateEn" : "NOVEMBER 2022",
"list" : [ {

"trxRefNo" : "123001668588732396",

"unrealizedGainLoss" : -3060.2000000009712,

"status" : "SUKSES",

"totalGoldTradedAmount" : 2753223.2000000011,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 850000,

"totalGoldTradedWeight" : 3.0355000000000003,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "16/11/2022 00:00:00",

"trxType" : "SELL",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 1659965,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 907008.1370449682,

"goldTradedWeight" : 1.9529000000000001,

"trxId" : null,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1668581084154123001",

"unrealizedGainLoss" : 106302.19999999915,

"status" : "SUKSES",

"totalGoldTradedAmount" : 4413188.2000000011,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 906000,

"totalGoldTradedWeight" : 4.9884000000000004,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "16/11/2022 00:00:00",

"trxType" : "BUY",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 88969.199999999997,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 884690.12108090788,

"goldTradedWeight" : 0.098199999999999996,

"trxId" : null,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1668581084154123001",

"unrealizedGainLoss" : 106302.1999999992,

"status" : "SUKSES",

"totalGoldTradedAmount" : 4324219.0000000009,

"purchaseFrequency" : "7",

"sofName" : "Daniel Pengadian Emas II",

"goldTradedPrice" : 906000,

"totalGoldTradedWeight" : 4.8902000000000001,

"purchasePeriod" : 52,

"remaningTimeForPurchaseRoutine" : 52,

"trxDate" : "16/11/2022 13:47:56",

"trxType" : "Buy",

"sof" : "8001901477",

"channel" : "1",

"goldTradedAmount" : 88969.199999999997,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 884262.19786511816,

"goldTradedWeight" : 0.098199999999999996,

"trxId" : null,

"lastAutoDebitTrxDate" : "15/11/2023",

"accountNo" : "1230022620001754",

"fee" : 5000,

"cif" : null

}, {

"trxRefNo" : "1668139208854123001",

"unrealizedGainLoss" : 106302.19999999891,
"status" : "SUKSES",

"totalGoldTradedAmount" : 4235249.8000000007,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 845000,

"totalGoldTradedWeight" : 4.7919999999999998,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "11/11/2022 00:00:00",

"trxType" : "BUY",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 20026.5,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 883816.7362270453,

"goldTradedWeight" : 0.023699999999999999,

"trxId" : 38,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1668136411833123001",

"unrealizedGainLoss" : 104856.49999999908,

"status" : "SUKSES",

"totalGoldTradedAmount" : 4215223.3000000007,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 845000,

"totalGoldTradedWeight" : 4.7683,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "11/11/2022 00:00:00",

"trxType" : "BUY",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 20026.5,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 884009.6680158549,

"goldTradedWeight" : 0.023699999999999999,

"trxId" : 37,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1668136128471123001",

"unrealizedGainLoss" : 103410.79999999925,

"status" : "SUKSES",

"totalGoldTradedAmount" : 4195196.8000000007,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 845000,

"totalGoldTradedWeight" : 4.7446000000000002,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "11/11/2022 00:00:00",

"trxType" : "BUY",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 20026.5,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 884204.52725203405,

"goldTradedWeight" : 0.023699999999999999,

"trxId" : 36,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1668133500695123001",

"unrealizedGainLoss" : 101965.10000000012,

"status" : "SUKSES",

"totalGoldTradedAmount" : 4175170.3000000003,

"purchaseFrequency" : null,
"sofName" : null,

"goldTradedPrice" : 845000,

"totalGoldTradedWeight" : 4.7209000000000003,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "11/11/2022 00:00:00",

"trxType" : "BUY",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 1000057.5,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 884401.34296426526,

"goldTradedWeight" : 1.1835,

"trxId" : 35,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1667966268358123001",

"unrealizedGainLoss" : 29771.599999999464,

"status" : "SUKSES",

"totalGoldTradedAmount" : 3175112.8000000003,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 886000,

"totalGoldTradedWeight" : 3.5373999999999999,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "09/11/2022 00:00:00",

"trxType" : "Buy",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 1000028.2000000001,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 897583.76208514743,

"goldTradedWeight" : 1.1287,

"trxId" : 26,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1667966261813123001",

"unrealizedGainLoss" : 7197.5999999998812,

"status" : "SUKSES",

"totalGoldTradedAmount" : 2175084.6000000001,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 886000,

"totalGoldTradedWeight" : 2.4087000000000001,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "09/11/2022 00:00:00",

"trxType" : "Buy",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 1000028.2000000001,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 903011.83210860635,

"goldTradedWeight" : 1.1287,

"trxId" : 25,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1667966143318123001",

"unrealizedGainLoss" : -15376.400000000149,

"status" : "SUKSES",

"totalGoldTradedAmount" : 1175056.4000000001,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 886000,

"totalGoldTradedWeight" : 1.28,
"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "09/11/2022 00:00:00",

"trxType" : "Buy",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 1000028.2000000001,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 918012.81250000012,

"goldTradedWeight" : 1.1287,

"trxId" : 24,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "123001667958768231",

"unrealizedGainLoss" : -37950.400000000067,

"status" : "SUKSES",

"totalGoldTradedAmount" : 175028.20000000007,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 845000,

"totalGoldTradedWeight" : 0.15129999999999999,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "09/11/2022 00:00:00",

"trxType" : "SELL",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 845000,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 1156828.8169200269,

"goldTradedWeight" : 1,

"trxId" : 23,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}, {

"trxRefNo" : "1667958672868123001",

"unrealizedGainLoss" : 23049.599999999897,

"status" : "SUKSES",

"totalGoldTradedAmount" : 1020028.2000000001,

"purchaseFrequency" : null,

"sofName" : null,

"goldTradedPrice" : 886000,

"totalGoldTradedWeight" : 1.1513,

"purchasePeriod" : null,

"remaningTimeForPurchaseRoutine" : null,

"trxDate" : "09/11/2022 00:00:00",

"trxType" : "Buy",

"sof" : null,

"channel" : "6",

"goldTradedAmount" : 1000028.2000000001,

"productProvider" : "Pegadaian",

"averageGoldPurchasePrice" : 885979.5014331626,

"goldTradedWeight" : 1.1287,

"trxId" : 22,

"lastAutoDebitTrxDate" : null,

"accountNo" : "1230022620001754",

"fee" : null,

"cif" : null

}

]

}

],

"totalGoldTradedAmount" : 2750163.0000000005,

"unrealizedGainLoss" : -3060.2000000009712

},

"responseCode" : "00"

}
#2 - 17 November 2022 11:42 AM - hsulynn pang

- File iOS (1).mp4 added

- Status changed from New to Closed

- Assignee changed from woonbeng.koo woonbeng.koo to hsulynn pang

Tested ok

Files

WhatsApp Image 2022-11-16 at 17.35.36.jpeg 30.1 KB 16 November 2022 hsulynn pang

iOS (1).mp4 3.9 MB 17 November 2022 hsulynn pang
